de.caff.generics.function

## Interface IntToCharFunction1

- Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface IntToCharFunction1

  Function with one primitive integer argument and a primitive char return.
  Since:
    November 27, 2020
  Author:
    Rammi

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `char` | `applyAsChar(int value)` /** Applies this function to the given argument.
    `default java.util.function.IntToDoubleFunction` | `asIntToDoubleFunction()` View this as an `int` to `double` function.
    `default java.util.function.IntUnaryOperator` | `asIntToIntFunction()` View this as an `int` to `int` function.
    `default java.util.function.IntToLongFunction` | `asIntToLongFunction()` View this as an `int` to `long` function.
    `default IntToShortFunction1` | `asIntToShortFunction()` View this as an `int` to `short` function.

- - ### Method Detail

    - #### applyAsChar

          char applyAsChar(int value)

      /** Applies this function to the given argument.
      Parameters:
        `value` - the function argument
      Returns:
        the function result

    - #### asIntToIntFunction

          @NotNull
          default java.util.function.IntUnaryOperator asIntToIntFunction()

      View this as an `int` to `int` function.
      Returns:
        unary integer operator which will return values between `0` to `65535`

    - #### asIntToLongFunction

          @NotNull
          default java.util.function.IntToLongFunction asIntToLongFunction()

      View this as an `int` to `long` function.
      Returns:
        int to long function which will return values between `0L` to `65535L`

    - #### asIntToDoubleFunction

          @NotNull
          default java.util.function.IntToDoubleFunction asIntToDoubleFunction()

      View this as an `int` to `double` function.
      Returns:
        int to double function which will return integral values between `0.0` to `65535.0`

    - #### asIntToShortFunction

          @NotNull
          default IntToShortFunction1 asIntToShortFunction()

      View this as an `int` to `short` function.
      Returns:
        int to short function which will return negative values for characters which have their most significant bit set